Get Media Call Details

Prev Next
Get
/api/v1/media-calls.info

Returns the stored record for a media call, including ended calls. The record includes the sipCallId for external (SIP) calls. Only participants of the call can access the record.

Changelog

Version Description
8.9.0 Added
Header parameters
X-User-Id
stringRequired

The user ID.

ExampleCkCPNctrgCDfmWLqC
X-Auth-Token
stringRequired

The authentication token.

Example1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE
Query parameters
callId
stringRequired

The media call ID.

Example9f44ec94-2046-4fac-976b-fa8b0e022b08
Responses
200

OK

Success Example
{
  "call": {
    "_id": "9f44ec94-2046-4fac-976b-fa8b0e022b08",
    "service": "webrtc",
    "kind": "direct",
    "state": "hangup",
    "createdBy": {
      "type": "user",
      "id": "aEGCdnFoBFCFNdiyX",
      "contractId": "7b96e74d-1e01-412a-8bcb-145db1bc9ac4"
    },
    "createdAt": "2026-09-23T13:30:53.165Z",
    "caller": {
      "type": "user",
      "id": "aEGCdnFoBFCFNdiyX",
      "contractId": "7b96e74d-1e01-412a-8bcb-145db1bc9ac4",
      "displayName": "Dana Reyes",
      "username": "dana.reyes"
    },
    "callee": {
      "type": "sip",
      "id": "+15550100123",
      "displayName": "Acme Support"
    },
    "ended": true,
    "endedBy": {
      "type": "user",
      "id": "aEGCdnFoBFCFNdiyX"
    },
    "endedAt": "2026-09-23T13:35:10.402Z",
    "expiresAt": "2026-09-23T13:36:10.402Z",
    "acceptedAt": "2026-09-23T13:31:02.118Z",
    "activatedAt": "2026-09-23T13:31:03.540Z",
    "uids": [
      "aEGCdnFoBFCFNdiyX"
    ],
    "features": [
      "audio"
    ],
    "sipCallId": "3c4f8a1e-92b7-4d6e@sip.example.com",
    "_updatedAt": "2026-09-23T13:35:10.402Z"
  },
  "success": true
}
Expand All
object
call
object
_id
string

The media call ID.

service
string
Valid values[ "webrtc" ]
kind
string
Valid values[ "direct" ]
state
string
Valid values[ "none", "ringing", "accepted", "active", "hangup" ]
createdBy
object

The actor who created the call.

createdAt
string (date-time)
caller
object

The party that started the call. type is user or sip.

type
string
id
string
contractId
string
displayName
string
username
string
sipExtension
string
callee
object

The party being called. type is user or sip.

type
string
id
string
contractId
string
displayName
string
username
string
sipExtension
string
ended
boolean
endedBy
object
endedAt
string (date-time)
hangupReason
string
expiresAt
string (date-time)
acceptedAt
string (date-time)
activatedAt
string (date-time)
uids
Array of string

The user IDs of the call participants.

string
features
Array of string
string
sipCallId
string

The SIP Call-ID of an external call. Present only for calls that went through SIP.

_updatedAt
string (date-time)
success
boolean
400

Bad Request

Missing Parameter
{
  "success": false,
  "error": "must have required property 'callId' [invalid-params]",
  "errorType": "invalid-params"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string
404

Not Found. The call does not exist, or you are not a participant.

Not Found
{
  "success": false,
  "error": "Resource not found"
}
object
success
boolean
error
string